Bug 1101642 - deleting org in UI does not delete corresponding lifecycle environments causing rake katello:reindex to fail
Summary: deleting org in UI does not delete corresponding lifecycle environments causi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1100311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-27 16:35 UTC by Tom McKay
Modified: 2019-09-25 20:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:26:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5949 None None None 2016-04-22 17:00:33 UTC

Description Tom McKay 2014-05-27 16:35:59 UTC
After deleting ACME_Corporation from my server through the UI, apparently successfully, a later call to 'rake katello:reindex' failed. Looking at the psql database I see there was still a Library environment in katello_environments table for ACME.

Unclear if other org-dependent objects are also orphaned.

Comment 1 Tom McKay 2014-05-27 16:36:00 UTC
Created from redmine issue http://projects.theforeman.org/issues/5949

Comment 3 David Davis 2014-06-09 20:18:20 UTC
Org destroy has been pushed out to 6.0.4.

Comment 4 David Davis 2014-07-11 19:07:52 UTC
Confirmed as working as part of https://bugzilla.redhat.com/show_bug.cgi?id=1100311. QA, please verify.

Comment 6 Corey Welton 2014-08-11 20:27:09 UTC
Verified in Satellite-6.0.4-RHEL-6-20140806.0

Comment 7 Bryan Kearney 2014-09-11 12:26:00 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.